# Busha Commerce SDK

Accept bitcoin and other cryptocurrencies from anywhere in the world.


![Busha Commerce](https://user-images.githubusercontent.com/36260221/236605755-f5a6ab9b-1532-439d-87ad-7f20908dba85.svg)


## Features

<p>
    <img src="https://user-images.githubusercontent.com/36260221/236603545-3d99b654-9622-451d-a3ef-af4060ebb301.png" width="200px" height="auto" hspace="20"/>
</p>

## Getting started (Installing)

  
In the `pubspec.yaml` of your flutter project, add the following dependency:

```dart
dependencies:
  ...
  busha_commerce_flutter: <latest_version>
```

In your library add the following import:

```dart
import 'package:busha_commerce_flutter/busha_commerce_flutter.dart';
```

After adding, initialize the sdk as shown below in your widget or in any better way you see fit.

For the sdk to work, you must have a product_url, business token and customer details(email and name only).

```dart
class _SetupViewState extends State<SetupView> {
  late BushaCommerce bushaCommerce;

  @override
  void initState() {
    
    bushaCommerce = BushaCommerce(
        context: context,
        url: 'checkout_url',
        businessToken: 'live_key',
        paymentType: PaymentType.checkout,
        customerEmail: 'customer@gmail.com',
        customerName: 'customer');

    super.initState();
  }
}
```

## Usage

After installation and setup is done properly, you can start using the sdk

```dart
bushaCommerce.startPayment(
    onCompleted: (data){ /// Returns any charge action data after a payment attempt.
      ....
    },
    onClose: (data) {  /// Returns closed action message before any charge takes place.
      ...
    }
);
```

## Additional information

The url to be used to can only be gotten from the business and information is automatically gotten from it
from the sdk to be used to continue the payment activities.

## :pencil: Contributing, Issues and :bug: Bug Reports
This sdk project is open to contribution and open requests to fix bugs and make it better.


