class AppException implements Exception {
  final String? message;
  final String? prefix;
  final Map<String, dynamic>? meta;

  AppException(this.message, this.prefix, this.meta);

  @override
  String toString() {
    return '$prefix$message';
  }
}

class FetchDataException extends AppException {
  FetchDataException(message)
      : super(message, 'Error During Communication: ', null);
}

class BadRequestException extends AppException {
  BadRequestException(message) : super(message, 'Bad Request: ', null);
}

class UnauthorisedException extends AppException {
  UnauthorisedException(message) : super(message, 'Unauthorised: ', null);
}

class ApiException extends AppException {
  ApiException(message, {Map<String, dynamic>? meta})
      : super(message, '', meta);
}

