import 'dart:io';

import 'package:flutter/foundation.dart';

class APIRoutes {
  /// Base URL
  static String authBase = BaseUrl.auth;
  static String grootBase = BaseUrl.groot;
  static String commerceBase = BaseUrl.commerce;
  static String baseGrootSocketUrl = BaseUrl.baseGrootSocketUrl;

  /// Socket
  static String socketV2 = '$baseGrootSocketUrl/subscribe';

  /// Authentication
  static String login = '$authBase/v3/login';
  static String confirmLogin = '$authBase/v3/auth/confirm';
  static String getUser = '$authBase/v3/me';

  ///Busha Account
  static String account = '$grootBase/v1/accounts';

  /// Invoice 
  static String invoice = '$commerceBase/invoices';

  /// Charges
  static String charge = '$commerceBase/charges';

  /// Checkout
  static String checkout = '$commerceBase/checkouts';

  /// Address
  static String address = '$commerceBase/charges';

  /// Payout
  static String payout = '$grootBase/v1/payout';
}

/// Allow us to get the correct endpoint using base either the app is in release or debug
class BaseUrl {
  static String get auth {
    if (kDebugMode) {
      return 'https://api.v3.staging.accounts.busha.co';
    }
    return 'https://api.ben.busha.team';
  }

  static String get groot {
    if (kDebugMode) {
      return 'https://staging.groot.busha.co';
    }
    return 'https://groot.busha.co';
  }

  static String get commerce {
    if (kDebugMode) {
      return 'https://staging.api.busha.co/v1/commerce';
    }
    return 'https://groot.busha.co';
  }

  static String get baseGrootSocketUrl {
    String baseSocketPath = 'ws';

    if (Platform.isIOS) {
      baseSocketPath = 'wss';
    } else {
      baseSocketPath = 'wss';
    }

    if (kDebugMode) {
      return '$baseSocketPath://staging.ws.busha.co';
    } else {
      return '$baseSocketPath://ws.busha.co';
    }
  }
}
