class Pagination {
  Pagination({
    this.page,
    this.perPage,
    this.offset,
    this.totalEntriesSize,
    this.currentEntriesSize,
    this.totalPages,
  });

  int? page;
  int? perPage;
  int? offset;
  int? totalEntriesSize;
  int? currentEntriesSize;
  int? totalPages;

  Pagination copyWith({
    int? page,
    int? perPage,
    int? offset,
    int? totalEntriesSize,
    int? currentEntriesSize,
    int? totalPages,
  }) =>
      Pagination(
        page: page ?? this.page,
        perPage: perPage ?? this.perPage,
        offset: offset ?? this.offset,
        totalEntriesSize: totalEntriesSize ?? this.totalEntriesSize,
        currentEntriesSize: currentEntriesSize ?? this.currentEntriesSize,
        totalPages: totalPages ?? this.totalPages,
      );

  factory Pagination.fromJson(Map<String, dynamic> json) => Pagination(
    page: json["page"],
    perPage: json["per_page"],
    offset: json["offset"],
    totalEntriesSize: json["total_entries_size"],
    currentEntriesSize: json["current_entries_size"],
    totalPages: json["total_pages"],
  );

  Map<String, dynamic> toJson() => {
    "page": page,
    "per_page": perPage,
    "offset": offset,
    "total_entries_size": totalEntriesSize,
    "current_entries_size": currentEntriesSize,
    "total_pages": totalPages,
  };
}