class PayoutRequest {
  PayoutRequest({
    this.amount,
    this.currency,
    this.address,
    this.chain,
    this.memo,
  });

  String? amount;
  String? currency;
  String? address;
  String? chain;
  String? memo;

  PayoutRequest copyWith({
    String? amount,
    String? currency,
    String? address,
    String? chain,
    String? memo,
  }) =>
      PayoutRequest(
        amount: amount ?? this.amount,
        currency: currency ?? this.currency,
        address: address ?? this.address,
        chain: chain ?? this.chain,
        memo: memo ?? this.memo,
      );

  factory PayoutRequest.fromJson(Map<String, dynamic> json) => PayoutRequest(
    amount: json["amount"],
    currency: json["currency"],
    address: json["address"],
    chain: json["chain"],
    memo: json["memo"],
  );

  Map<String, dynamic> toJson() => {
    "amount": amount,
    "currency": currency,
    "address": address,
    "chain": chain,
    "memo": memo,
  };
}