class GetCheckoutResponse {
  GetCheckoutResponse({
    this.status,
    this.message,
    this.data,
  });

  String? status;
  String? message;
  GetCheckoutPricing? data;

  GetCheckoutResponse copyWith({
    String? status,
    String? message,
    GetCheckoutPricing? data,
  }) =>
      GetCheckoutResponse(
        status: status ?? this.status,
        message: message ?? this.message,
        data: data ?? this.data,
      );

  factory GetCheckoutResponse.fromJson(Map<String, dynamic> json) =>
      GetCheckoutResponse(
        status: json["status"],
        message: json["message"],
        data: GetCheckoutPricing.fromJson(json["data"]),
      );

  Map<String, dynamic> toJson() => {
        "status": status,
        "message": message,
        "data": data!.toJson(),
      };
}

class GetCheckoutPricing {
  GetCheckoutPricing({
    this.id,
    this.businessName,
    this.businessId,
    this.name,
    this.description,
    this.checkoutType,
    this.requestedInfo,
    this.localAmount,
    this.localCurrency,
    this.active,
    this.createdAt,
    this.updatedAt,
  });

  String? id;
  String? businessName;
  String? businessId;
  String? name;
  String? description;
  String? checkoutType;
  List<dynamic>? requestedInfo;
  String? localAmount;
  String? localCurrency;
  bool? active;
  DateTime? createdAt;
  DateTime? updatedAt;

  GetCheckoutPricing copyWith({
    String? id,
    String? businessName,
    String? businessId,
    String? name,
    String? description,
    String? checkoutType,
    List<dynamic>? requestedInfo,
    String? localAmount,
    String? localCurrency,
    bool? active,
    DateTime? createdAt,
    DateTime? updatedAt,
  }) =>
      GetCheckoutPricing(
        id: id ?? this.id,
        businessName: businessName ?? this.businessName,
        businessId: businessId ?? this.businessId,
        name: name ?? this.name,
        description: description ?? this.description,
        checkoutType: checkoutType ?? this.checkoutType,
        requestedInfo: requestedInfo ?? this.requestedInfo,
        localAmount: localAmount ?? this.localAmount,
        localCurrency: localCurrency ?? this.localCurrency,
        active: active ?? this.active,
        createdAt: createdAt ?? this.createdAt,
        updatedAt: updatedAt ?? this.updatedAt,
      );

  factory GetCheckoutPricing.fromJson(Map<String, dynamic> json) =>
      GetCheckoutPricing(
        id: json["id"],
        businessName: json["business_name"],
        businessId: json["business_id"],
        name: json["name"],
        description: json["description"],
        checkoutType: json["checkout_type"],
        requestedInfo: List<dynamic>.from(json["requested_info"].map((x) => x)),
        localAmount: json["local_amount"],
        localCurrency: json["local_currency"],
        active: json["active"],
        createdAt: DateTime.parse(json["created_at"]),
        updatedAt: DateTime.parse(json["updated_at"]),
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "business_name": businessName,
        "business_id": businessId,
        "name": name,
        "description": description,
        "checkout_type": checkoutType,
        "requested_info": List<dynamic>.from(requestedInfo!.map((x) => x)),
        "local_amount": localAmount,
        "local_currency": localCurrency,
        "active": active,
        "created_at": createdAt!.toIso8601String(),
        "updated_at": updatedAt!.toIso8601String(),
      };
}
