import 'dart:convert';

class PaymentResponse {
  PaymentResponse({
    this.eventName,
    this.data,
  });

  final String? eventName;
  final Data? data;

  factory PaymentResponse.fromJson(Map<String, dynamic> json) =>
      PaymentResponse(
        eventName: json["event_name"],
        data: Data.fromJson(json["data"]),
      );

  Map<String, dynamic> toJson() => {
        "event_name": eventName,
        "data": data!.toJson(),
      };
}

class Data {
  Data({
    required this.status,
    required this.createdAt,
    required this.currency,
    required this.paidAmount,
    required this.expectedAmount,
    required this.businessName,
    required this.supportEmail,
    required this.supportPhone,
    this.context,
  });

  final String status;
  final DateTime createdAt;
  final String? currency;
  final String? paidAmount;
  final String? expectedAmount;
  final String? businessName;
  final String? supportEmail;
  final String? supportPhone;
  final String? context;

  factory Data.fromRawJson(String str) => Data.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory Data.fromJson(Map<String, dynamic> json) => Data(
        status: json["status"],
        createdAt: DateTime.parse(json["created_at"]),
        currency: json["currency"],
        paidAmount: json["paid_amount"],
        expectedAmount: json["expected_amount"],
        businessName: json["business_name"],
        supportEmail: json["support_email"],
        supportPhone: json["support_phone"],
        context: json["context"],
      );

  Map<String, dynamic> toJson() => {
        "status": status,
        "created_at": createdAt.toIso8601String(),
        "currency": currency,
        "paid_amount": paidAmount,
        "expected_amount": expectedAmount,
        "business_name": businessName,
        "support_email": supportEmail,
        "support_phone": supportPhone,
        "context": context,
      };
}
