import 'dart:convert';

class SupportedAsset {
    SupportedAsset({
        required this.currencyId,
        required this.chains,
        required this.name,
    });

    final String currencyId;
    final List<String> chains;
    final String name;

    factory SupportedAsset.fromRawJson(String str) => SupportedAsset.fromJson(json.decode(str));

    String toRawJson() => json.encode(toJson());

    factory SupportedAsset.fromJson(Map<String, dynamic> json) => SupportedAsset(
        currencyId: json["currency_id"],
        chains: List<String>.from(json["chains"].map((x) => x)),
        name: json["name"],
    );

    Map<String, dynamic> toJson() => {
        "currency_id": currencyId,
        "chains": List<dynamic>.from(chains.map((x) => x)),
        "name": name,
    };
}