class Wallets {
  Wallets({
    this.status,
    this.data,
  });

  String? status;
  List<Wallet>? data;

  factory Wallets.fromJson(Map<String, dynamic> json) => Wallets(
    status: json["status"],
    data: List<Wallet>.from(json["data"].map((x) => Wallet.fromJson(x))),
  );

  Map<String, dynamic> toJson() => {
    "status": status,
    "data": List<dynamic>.from(data!.map((x) => x.toJson())),
  };
}

class Wallet {
  Wallet({
    this.id,
    this.currency,
    this.balance,
    this.totalBalance,
    this.name,
    this.type,
    this.fiat,
    this.color,
    this.logo,
  });

  String? id;
  String? currency;
  String? balance;
  String? totalBalance;
  String? name;
  String? type;
  Fiat? fiat;
  String? color;
  String? logo;

  factory Wallet.fromJson(Map<String, dynamic> json) => Wallet(
    id: json["id"],
    currency: json["currency"],
    balance: json["balance"],
    totalBalance: json["total_balance"],
    name: json["name"],
    type: json["type"],
    fiat: json["fiat"] != null ? Fiat.fromJson(json["fiat"]) : Fiat(),
    color: json["color"],
    logo: json["logo"],
  );

  Map<String, dynamic> toJson() => {
    "id": id,
    "currency": currency,
    "balance": balance,
    "total_balance": totalBalance,
    "name": name,
    "type": type,
    "fiat": fiat!.toJson(),
    "color": color,
    "logo": logo,
  };
}

class Fiat {
  Fiat({
    this.currency,
    this.balance,
    this.hold,
    this.totalBalance,
  });

  String? currency;
  String? balance;
  String? hold;
  String? totalBalance;

  factory Fiat.fromJson(Map<String, dynamic> json) => Fiat(
    currency: json["currency"],
    balance: json["balance"],
    hold: json["hold"],
    totalBalance: json["total_balance"],
  );

  Map<String, dynamic> toJson() => {
    "currency": currency,
    "balance": balance,
    "hold": hold,
    "total_balance": totalBalance,
  };
}