import 'package:busha_commerce_flutter/src/core/api/api.dart';
import 'package:busha_commerce_flutter/src/core/api/api_exception.dart';
import 'package:busha_commerce_flutter/src/core/model/response/wallet_response.dart';
import 'package:busha_commerce_flutter/src/core/services/auth_service.dart';
import 'package:busha_commerce_flutter/src/core/services/http_service.dart';
import 'package:busha_commerce_flutter/src/utils/locator_setup.dart';

class AccountService {
  final httpService = serviceLocator<HttpService>();
  final authService = serviceLocator<AuthService>();

  Wallets? wallets;

  Future<List<Wallet>?> getWallets() async {
    Map<String, String> headers = {};
    headers['Authorization'] = 'Bearer ${authService.accountKey}';

    try {
      final response = await httpService.get(APIRoutes.account, headers: headers);

      wallets = Wallets.fromJson(response);
      return wallets!.data!;

    } on Exception catch (e) {
      throw ApiException(e.toString());
    }
  }
}
