import 'package:busha_commerce_flutter/src/core/model/response/payment_response.dart';
import 'package:busha_commerce_flutter/src/core/services/socket_service.dart';
import 'package:busha_commerce_flutter/src/utils/utils.dart';
import 'package:flutter/material.dart';
import 'package:stacked/stacked.dart';

class PaymentService with ListenableServiceMixin {
  final _socketService = serviceLocator<SocketService>();

  final ReactiveValue<PaymentResponse> _payment =
      ReactiveValue<PaymentResponse>(
    PaymentResponse(),
  );
  PaymentResponse get payment => _payment.value;

  Future<void> initializeSocket() async {
    debugPrint('Initializing Socket');
    _payment.value = PaymentResponse();
    _socketService.start();
    _socketService.paymentStream.asBroadcastStream().listen((data) {
      _payment.value = data;
      debugPrint('Socket data $data');
    });
    listenToReactiveValues([_payment]);
  }
}
