import 'package:flutter/material.dart';
import 'package:modal_bottom_sheet/modal_bottom_sheet.dart';

import 'locator_setup.dart';

class NavigationHandler {
  int currentPushCount = 0;

  void navigatorPush({required BuildContext buildContext, required Widget route}) {
    final navi = serviceLocator<NavigationHandler>();
    navi.currentPushCount += 1;

    Navigator.push(
      buildContext,
      MaterialWithModalsPageRoute(      
        builder: (BuildContext context) => route),
    );
  }

  void navigatorReplace({required BuildContext buildContext, required Widget route}) {
    final navi = serviceLocator<NavigationHandler>();
    if (navi.currentPushCount > 1) {
      navi.currentPushCount -= 1;
    }

    Navigator.pushReplacement(
      buildContext,
      MaterialWithModalsPageRoute(builder: (BuildContext context) => route),
    );
  }

  void popRepeatedly(BuildContext context) {
    final navi = serviceLocator<NavigationHandler>();
    Navigator.pop(context); //Always close the current view..

    if (navi.currentPushCount == 0) {
      Navigator.pop(context);
    } else {
      for (int i = 0; i < navi.currentPushCount; i++) {
        Navigator.pop(context);
      }
    }
  }

  void pop(BuildContext context) {
    final navi = serviceLocator<NavigationHandler>();
    navi.currentPushCount -= 1;

    Navigator.pop(context);
  }
}
