import 'package:busha_commerce_flutter/src/assets/fonts.dart';
import 'package:busha_commerce_flutter/src/utils/colors.dart';
import 'package:flutter/material.dart';

/// Styles
class AppTextStyle {
  static TextStyle headlineLarge = const TextStyle(
    fontFamily: FontFamily.roobert,
    fontSize: 20,
    fontWeight: FontWeight.w700,
  );
  static TextStyle headlineMedium = const TextStyle(
    fontFamily: FontFamily.roobert,
    fontSize: 18,
    fontWeight: FontWeight.w700,
  );

  static TextStyle headlineSmall = const TextStyle(
    fontFamily: FontFamily.roobert,
    fontSize: 16,
    fontWeight: FontWeight.w600,
  );

  static TextStyle labelLarge = const TextStyle(
    fontFamily: FontFamily.roobert,
    fontSize: 16,
    fontWeight: FontWeight.normal,
  );

  static TextStyle labelMedium = const TextStyle(
    fontFamily: FontFamily.roobert,
    fontSize: 14,
    fontWeight: FontWeight.normal,
  );
}


/// Extension
extension Styling on BuildContext {
  TextStyle get headlineLarge => AppTextStyle.headlineLarge
      .copyWith(color: CustomColors().primaryTextColor);

  TextStyle get headlineMedium => AppTextStyle.headlineMedium
      .copyWith(color: CustomColors().primaryTextColor);

  TextStyle get headlineSmall => AppTextStyle.headlineSmall
      .copyWith(color: CustomColors().primaryTextColor);

  TextStyle get labelLarge =>
      AppTextStyle.labelLarge.copyWith(color: CustomColors().secondaryTextColor);

  TextStyle get labelMedium =>
      AppTextStyle.labelMedium.copyWith(color: CustomColors().secondaryTextColor);
}
