import 'package:busha_commerce_flutter/src/assets/assets.dart';
import 'package:busha_commerce_flutter/src/views/payment/payment_cancel/payment_cancel.dart';
import 'package:busha_commerce_flutter/src/widgets/widgets.dart';
import 'package:flutter/material.dart';
import 'package:stacked/stacked.dart';

import '../../utils/navigation_handler.dart';
import 'cancel_transaction_view_model.dart';

class CancelTransactionView extends StatelessWidget {
  const CancelTransactionView({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ViewModelBuilder.reactive(
        viewModelBuilder: () => CancelTransactionViewModel(),
        builder: (context, model, child) {
          return TransactionLayout(
            primaryOnTap: () => NavigationHandler().pop(context),
            secondaryOnTap: () async {
              model.cancelCharge(onCallBack: () {
                NavigationHandler().navigatorReplace(
                  buildContext: context,
                  route: PaymentCancelled(
                    reference: model.reference!,
                    date: model.date!,
                    message: model.message,
                  ),
                );
              }, onClose: () {
                NavigationHandler().popRepeatedly(context);
              });
            },
            showPrimaryButton: true,
            showSecondaryButton: true,
            isSecondaryButtonBusy: model.isBusy,
            image: Assets.lib.src.assets.svgs.cancel.svg(
              package: 'busha_commerce_flutter',
            ),
            title: 'Cancel payment',
            subtitle:
                'Transaction isn\'t completed yet. Are you sure you want to exit?',
          );
        });
  }
}
