import 'package:busha_commerce_flutter/busha_commerce_flutter.dart';
import 'package:busha_commerce_flutter/src/core/constants/global.dart';
import 'package:busha_commerce_flutter/src/core/services/commerce_service.dart';
import 'package:stacked/stacked.dart';

class CancelTransactionViewModel extends BaseViewModel {
  final _commerceService = serviceLocator<CommerceService>();

  String? reference;
  String? date;
  String? message;

  Future cancelCharge(
      {Function? onCallBack,
      Function? onErrorCallBack,
      Function? onClose}) async {
    if (_commerceService.createChargesResponse != null) {
      try {
        await runBusyFuture(
          _commerceService.cancelCharge(paymentType: commercePaymentType),
          throwException: true,
        );
        reference = _commerceService.createChargesResponse!.data!.reference;
        date = _commerceService
            .createChargesResponse!.data!.timeline![0].createdAt
            .toString();
        message = _commerceService.createChargesResponse!.message;
        notifyListeners();

        onCallBack!();
        _commerceService.createChargesResponse = null;
      } catch (e) {
        onErrorCallBack!(e.toString());
      }
    } else {
      onClose!();
    }
  }
}
