import 'dart:async';
import 'package:busha_commerce_flutter/src/core/model/response/payment_response.dart';
import 'package:busha_commerce_flutter/src/core/services/commerce_service.dart';
import 'package:busha_commerce_flutter/src/core/services/payment_service.dart';
import 'package:busha_commerce_flutter/src/utils/utils.dart';

import 'package:stacked/stacked.dart';

enum PaymentStatus {
  completed,
  overpaid,
  underpaid,
  multiple,
  delayed,
}

class AwaitingPaymentViewModel extends ReactiveViewModel {
  final _paymentService = serviceLocator<PaymentService>();
  final _commerceService = serviceLocator<CommerceService>();

  String reference = '';

  PaymentResponse get payment => _paymentService.payment;

  Future<void> initialize() async {
    reference = _commerceService.createChargesResponse!.data!.reference!;
  }

  void updateResponse(PaymentResponse value) {
    _commerceService.bushaCommerceResponse = value;
  }

  Map<String, PaymentStatus> paymentStatusMap = {
    "OVERPAID": PaymentStatus.overpaid,
    "UNDERPAID": PaymentStatus.underpaid,
    "MULTIPLE": PaymentStatus.multiple,
    "DELAYED": PaymentStatus.delayed,
    "COMPLETED": PaymentStatus.completed,
  };

  @override
  List<ListenableServiceMixin> get listenableServices => [_paymentService];
}
