import 'package:busha_commerce_flutter/busha_commerce_flutter.dart';
import 'package:busha_commerce_flutter/src/utils/navigation_handler.dart';
import 'package:flutter/material.dart';
import 'package:stacked/stacked.dart';

import 'payment_cancel_view_model.dart';

class PaymentCancelled extends StatelessWidget {
  const PaymentCancelled({
    super.key,
    required this.date,
    required this.reference,
    this.message,
    this.total,
  });

  final String date;
  final String reference;
  final String? total;
  final String? message;

  @override
  Widget build(BuildContext context) {
    return ViewModelBuilder.reactive(
        viewModelBuilder: () => PaymentCancelViewModel(),
        builder: (context, model, child) {
          return PaymentCompleteLayout(
            isPaymentMisMatched: true,
            title: 'Payment Cancelled',
            primaryButtonText: 'Retry payment',
            onPrimaryButtonTap: () {
              NavigationHandler().popRepeatedly(context);
            },
            paymentDetails: PaymentSuccessfulDetail(
              date: date,
              reference: reference,
              total: '',
            ),
            subtitle: message ?? 'Your payment was cancelled',
          );
        });
  }
}
