import 'package:busha_commerce_flutter/busha_commerce_flutter.dart';
import 'package:busha_commerce_flutter/src/assets/assets.dart';
import 'package:busha_commerce_flutter/src/utils/utils.dart';
import 'package:flutter/material.dart';

class PaymentDetectedView extends StatelessWidget {
  const PaymentDetectedView({super.key});

  @override
  Widget build(BuildContext context) {
    return AppWrapper(
      child: Padding(
        padding: const EdgeInsets.symmetric(
          horizontal: kLargeSpacing,
        ),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Expanded(
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Assets.lib.src.assets.svgs.verification.svg(
                    package: 'busha_commerce_flutter',
                  ),
                  const SizedBox(
                    height: kLargeSpacing,
                  ),
                  ListTile(
                    title: Padding(
                      padding: const EdgeInsets.symmetric(
                        vertical: kLargeSpacing,
                      ),
                      child: Text(
                        'Payment detected',
                        textAlign: TextAlign.center,
                        style: Theme.of(context).textTheme.titleLarge,
                      ),
                    ),
                    subtitle: Text(
                      "You've successfully sent a payment; we are waiting for it to be verified by the network",
                      textAlign: TextAlign.center,
                      style: Theme.of(context).textTheme.subtitle1,
                    ),
                  ),
                  const SizedBox(
                    height: kLargeSpacing,
                  ),
                  Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Assets.lib.src.assets.svgs.link.svg(
                        package: 'busha_commerce_flutter',
                      ),
                      const SizedBox(
                        width: kSmallSpacing,
                      ),
                      const Text(
                        'View transaction on block explorer',
                        style: TextStyle(
                          decoration: TextDecoration.underline,
                          color: Colors.grey,
                        ),
                      ),
                    ],
                  )
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }
}
