import 'package:busha_commerce_flutter/busha_commerce_flutter.dart';
import 'package:busha_commerce_flutter/src/assets/assets.dart';
import 'package:busha_commerce_flutter/src/utils/constants.dart';
import 'package:flutter/material.dart';

class PaymentNotDetectedView extends StatelessWidget {
  const PaymentNotDetectedView({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return AppWrapper(
      onTapBack: (){},
      child: Padding(
        padding: const EdgeInsets.symmetric(
          horizontal: kLargeSpacing,
        ),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Expanded(
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Assets.lib.src.assets.svgs.expired.svg(
                    package: 'busha_commerce_flutter',
                  ),
                  const SizedBox(
                    height: kLargeSpacing,
                  ),
                  ListTile(
                    title: Padding(
                      padding: const EdgeInsets.symmetric(
                        vertical: kLargeSpacing,
                      ),
                      child: Text(
                        'No payment detected',
                        textAlign: TextAlign.center,
                        style: Theme.of(context).textTheme.titleLarge,
                      ),
                    ),
                    subtitle: RichText(
                      textAlign: TextAlign.center,
                      text: TextSpan(
                        text:
                            "We're constantly monitoring the network and didn't detect a payment. If you have already paid, please contact the merchant at ",
                        style: Theme.of(context).textTheme.subtitle1,
                        children: const <TextSpan>[
                          TextSpan(
                            text: 'prosperebube22@gmail.com.',
                            style: TextStyle(
                         
                              color: Color(0xff16CB3E)
                            ),
                          ),
                        ],
                      ),
                    ),
                
                  ),
                ],
              ),
            ),
            const CommerceButton(
              padding: 0,
              verticalPadding: kLargeSpacing,
              child: Text(
                'Retry payment',
              ),
            ),
            const SizedBox(
              height: 30,
            ),
          ],
        ),
      ),
    );
  }
}
