import 'package:busha_commerce_flutter/src/utils/utils.dart';
import 'package:flutter/material.dart';

class PaymentDetails extends StatelessWidget {
  const PaymentDetails({
    super.key,
    required this.date,
    required this.reference,
    required this.amountExpected,
    required this.amountPaid,
  });

  final String date;
  final String reference;
  final String amountPaid;
  final String amountExpected;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text(
              'Date & time',
              style: context.labelLarge,
            ),
            Text(
              Formatters.toDateWithTime(date),
              style: context.headlineSmall,
            ),
          ],
        ),
        const SizedBox(
          height: 24,
        ),
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text(
              'Reference',
              style: context.labelLarge,
            ),
            Text(
              reference,
              style: context.headlineSmall,
            ),
          ],
        ),
        const SizedBox(
          height: 24,
        ),
        const Divider(
          thickness: 1,
        ),
        const SizedBox(
          height: 24,
        ),
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text(
              'Amount required',
              style: context.labelLarge,
            ),
            Text(
              amountExpected,
              style: context.headlineSmall,
            ),
          ],
        ),
        const SizedBox(
          height: kLargeSpacing,
        ),
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text(
              'Amount paid',
              style: context.labelLarge,
            ),
            Text(
              amountPaid,
              style: context.headlineSmall,
            ),
          ],
        ),
      ],
    );
  }
}
