import 'package:busha_commerce_flutter/busha_commerce_flutter.dart';
import 'package:busha_commerce_flutter/src/views/payment/awaiting_payment/awaiting_payment_view_model.dart';
import 'package:busha_commerce_flutter/src/views/payment/shared/payment_details.dart';
import 'package:flutter/material.dart';
import 'package:stacked/stacked.dart';

class UnderpaidTransactionView
    extends ViewModelWidget<AwaitingPaymentViewModel> {
  const UnderpaidTransactionView({
    super.key,
    required this.date,
    required this.reference,
    required this.amountPaid,
    required this.amountExpected,
  });

  final String date;
  final String reference;
  final String amountPaid;
  final String amountExpected;

  @override
  Widget build(BuildContext context, viewModel) {
    return PaymentCompleteLayout(
      onPrimaryButtonTap: () {
        viewModel.updateResponse(viewModel.payment);
        Navigator.of(context).popUntil((route) => route.isFirst);
      },
      isPaymentMisMatched: true,
      title: 'Underpaid',
      paymentDetails: PaymentDetails(
        date: date,
        reference: reference,
        amountExpected: amountExpected,
        amountPaid: amountPaid,
      ),
      subtitle:
          'Your payment was below the payment threshold. Please check your email for the next steps.',
    );
  }
}
