import 'dart:async';
import 'package:busha_commerce_flutter/src/utils/utils.dart';
import 'package:flutter/material.dart';
import 'package:stacked/stacked.dart';

import 'verify_transaction_view_model.dart';

class VerifyCountdownTimer extends StatefulWidget {
  const VerifyCountdownTimer({super.key});

  @override
  VerifyCountdownTimerState createState() => VerifyCountdownTimerState();
}

class VerifyCountdownTimerState extends State<VerifyCountdownTimer> {
  DateTime targetTime = DateTime.now().add(const Duration(seconds: 40));
  Timer? _timer;
  bool _resend = false;
  Duration? _remainingTime;

  @override
  void initState() {
    super.initState();
    timming();
  }

  void timming() {
    _timer = Timer.periodic(const Duration(seconds: 1), (timer) {
      setState(() {
        _remainingTime = targetTime.difference(DateTime.now());
      });
      if (_remainingTime!.isNegative) {
        _timer!.cancel();
        _resend = true;
      }
    });
  }

  @override
  void dispose() {
    _timer!.cancel();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return ViewModelBuilder.reactive(
        viewModelBuilder: () => VerifyTransactionViewModel(),
        builder: (context, model, child) {
          return Row(
            children: [
              Text(
                '${_remainingTime?.inMinutes.toString().padLeft(2, '0') ?? '00'}:'
                '${_remainingTime?.inSeconds.remainder(60).toString().padLeft(2, '0') ?? '00'}',
                style: context.labelMedium,
              ),
              Visibility(
                visible: _resend,
                child: GestureDetector(
                  onTap: () {
                    resendAction(model, context);
                  },
                  child: Padding(
                    padding: const EdgeInsets.symmetric(horizontal: 5),
                    child: Text(
                      'Resend code',
                      style: context.labelMedium.copyWith(
                        color: CustomColors.buttonColor,
                      ),
                    ),
                  ),
                ),
              ),
            ],
          );
        });
  }

  void resendAction(VerifyTransactionViewModel model, BuildContext context) {
    timming();
    model.resendCode(context);
    targetTime = DateTime.now().add(
      const Duration(seconds: 40),
    );
    _resend = false;
    setState(() {});
  }
}
