import 'package:flutter/material.dart';
import 'package:busha_commerce_flutter/src/utils/utils.dart';

class CommerceButton extends StatelessWidget {
  const CommerceButton({
    super.key,
    this.onTap,
    this.buttonColor,
    this.padding,
    required this.child,
    this.isLoading = false,
    this.verticalPadding = 0,
    this.loadingColor,
  });
  final void Function()? onTap;
  final Widget child;
  final Color? buttonColor;
  final Color? loadingColor;
  final double? padding;
  final double? verticalPadding;
  final bool? isLoading;

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: InkWell(
        splashColor: Colors.transparent,
        highlightColor: Colors.transparent,
        onTap: onTap,
        child: Container(
          alignment: Alignment.center,
          margin: EdgeInsets.symmetric(
            horizontal: padding ?? kLargeSpacing,
            vertical: verticalPadding ?? 0
          ),
          width: context.responsiveWidth,
          height: 60,
          decoration: BoxDecoration(
            color: buttonColor ?? const Color(0xffF1F1F1),
            borderRadius: BorderRadius.circular(15),
          ),
          child: !isLoading! ? child : CircularProgressIndicator(
            valueColor: AlwaysStoppedAnimation(
              loadingColor ?? Colors.white,
            ),
            strokeWidth: 2.5,
          ),
        ),
      ),
    );
  }
}
