import 'package:busha_commerce_flutter/src/utils/utils.dart';
import 'package:busha_commerce_flutter/src/widgets/count/count_controller.dart';
import 'package:flutter/material.dart';

class Countdown extends StatefulWidget {
  const Countdown({
    Key? key,
    required this.expiryDate,
    this.onTimeExpired,
    required this.value,
    this.text,
    this.textStyle,
  }) : super(key: key);
  final String expiryDate;
  final Function()? onTimeExpired;
  final TextStyle? textStyle;
  final String? text;
  final ValueChanged value;

  @override
  TimerState createState() => TimerState();
}

class TimerState extends State<Countdown> {
  bool updated = false;
  late CountdownModel timerModel;
  var remainingTime = '00';

  @override
  void initState() {
    timerModel = CountdownModel(
      expiryDate: widget.expiryDate,
      onTimeExpired: widget.onTimeExpired,
    );
    timerModel.initialise();
    timerModel.addListener(() {
      remainingTime = timerModel.remainingTime;
      widget.value(remainingTime);
      setState(() {});
    });
    super.initState();
  }

  @override
  void dispose() {
    timerModel.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Text(
     widget.text ?? 'I have made payment ($remainingTime)',
      style: widget.textStyle ?? context.headlineSmall,
    );
  }
}
