import 'package:flutter/material.dart';

class CommercePersistentHeaderDelegate extends SliverPersistentHeaderDelegate {
  late final Widget? child;
  late final double? maxHeight;
  late final double? minHeight;

  CommercePersistentHeaderDelegate({
    required this.child,
    this.maxHeight,
    this.minHeight,
  });

  @override
  Widget build(
      BuildContext context, double shrinkOffset, bool overlapsContent) {
    return LayoutBuilder(builder: (context, constraints) {
      return child!;
    });
  }

  @override
  double get maxExtent => maxHeight ?? 48;

  @override
  double get minExtent => minHeight ?? 48;

  @override
  bool shouldRebuild(covariant SliverPersistentHeaderDelegate oldDelegate) {
    return true;
  }
}